<?php
$tdatapercentage_b_01_chart = array();
$tdatapercentage_b_01_chart[".searchableFields"] = array();
$tdatapercentage_b_01_chart[".ShortName"] = "percentage_b_01_chart";
$tdatapercentage_b_01_chart[".OwnerID"] = "";
$tdatapercentage_b_01_chart[".OriginalTable"] = "percentage_b_01";


$tdatapercentage_b_01_chart[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdatapercentage_b_01_chart[".originalPagesByType"] = $tdatapercentage_b_01_chart[".pagesByType"];
$tdatapercentage_b_01_chart[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdatapercentage_b_01_chart[".originalPages"] = $tdatapercentage_b_01_chart[".pages"];
$tdatapercentage_b_01_chart[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdatapercentage_b_01_chart[".originalDefaultPages"] = $tdatapercentage_b_01_chart[".defaultPages"];

//	field labels
$fieldLabelspercentage_b_01_chart = array();
$fieldToolTipspercentage_b_01_chart = array();
$pageTitlespercentage_b_01_chart = array();
$placeHolderspercentage_b_01_chart = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelspercentage_b_01_chart["English"] = array();
	$fieldToolTipspercentage_b_01_chart["English"] = array();
	$placeHolderspercentage_b_01_chart["English"] = array();
	$pageTitlespercentage_b_01_chart["English"] = array();
	$fieldLabelspercentage_b_01_chart["English"]["Region"] = "Region";
	$fieldToolTipspercentage_b_01_chart["English"]["Region"] = "";
	$placeHolderspercentage_b_01_chart["English"]["Region"] = "";
	$fieldLabelspercentage_b_01_chart["English"]["numRegion"] = "Num Region";
	$fieldToolTipspercentage_b_01_chart["English"]["numRegion"] = "";
	$placeHolderspercentage_b_01_chart["English"]["numRegion"] = "";
	$fieldLabelspercentage_b_01_chart["English"]["totalPers"] = "Total Pers";
	$fieldToolTipspercentage_b_01_chart["English"]["totalPers"] = "";
	$placeHolderspercentage_b_01_chart["English"]["totalPers"] = "";
	$fieldLabelspercentage_b_01_chart["English"]["voteWith"] = "Vote With";
	$fieldToolTipspercentage_b_01_chart["English"]["voteWith"] = "";
	$placeHolderspercentage_b_01_chart["English"]["voteWith"] = "";
	$fieldLabelspercentage_b_01_chart["English"]["Percentage"] = "Percentage";
	$fieldToolTipspercentage_b_01_chart["English"]["Percentage"] = "";
	$placeHolderspercentage_b_01_chart["English"]["Percentage"] = "";
	if (count($fieldToolTipspercentage_b_01_chart["English"]))
		$tdatapercentage_b_01_chart[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelspercentage_b_01_chart["Arabic"] = array();
	$fieldToolTipspercentage_b_01_chart["Arabic"] = array();
	$placeHolderspercentage_b_01_chart["Arabic"] = array();
	$pageTitlespercentage_b_01_chart["Arabic"] = array();
	$fieldLabelspercentage_b_01_chart["Arabic"]["Region"] = "Region";
	$fieldToolTipspercentage_b_01_chart["Arabic"]["Region"] = "";
	$placeHolderspercentage_b_01_chart["Arabic"]["Region"] = "";
	$fieldLabelspercentage_b_01_chart["Arabic"]["numRegion"] = "Num Region";
	$fieldToolTipspercentage_b_01_chart["Arabic"]["numRegion"] = "";
	$placeHolderspercentage_b_01_chart["Arabic"]["numRegion"] = "";
	$fieldLabelspercentage_b_01_chart["Arabic"]["totalPers"] = "Total Pers";
	$fieldToolTipspercentage_b_01_chart["Arabic"]["totalPers"] = "";
	$placeHolderspercentage_b_01_chart["Arabic"]["totalPers"] = "";
	$fieldLabelspercentage_b_01_chart["Arabic"]["voteWith"] = "Vote With";
	$fieldToolTipspercentage_b_01_chart["Arabic"]["voteWith"] = "";
	$placeHolderspercentage_b_01_chart["Arabic"]["voteWith"] = "";
	$fieldLabelspercentage_b_01_chart["Arabic"]["Percentage"] = "Percentage";
	$fieldToolTipspercentage_b_01_chart["Arabic"]["Percentage"] = "";
	$placeHolderspercentage_b_01_chart["Arabic"]["Percentage"] = "";
	if (count($fieldToolTipspercentage_b_01_chart["Arabic"]))
		$tdatapercentage_b_01_chart[".isUseToolTips"] = true;
}


	$tdatapercentage_b_01_chart[".NCSearch"] = true;

	$tdatapercentage_b_01_chart[".ChartRefreshTime"] = 180;


$tdatapercentage_b_01_chart[".shortTableName"] = "percentage_b_01_chart";
$tdatapercentage_b_01_chart[".nSecOptions"] = 0;

$tdatapercentage_b_01_chart[".mainTableOwnerID"] = "";
$tdatapercentage_b_01_chart[".entityType"] = 3;
$tdatapercentage_b_01_chart[".connId"] = "electiondb_at_ssl_localhost";


$tdatapercentage_b_01_chart[".strOriginalTableName"] = "percentage_b_01";

	



$tdatapercentage_b_01_chart[".showAddInPopup"] = false;

$tdatapercentage_b_01_chart[".showEditInPopup"] = false;

$tdatapercentage_b_01_chart[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatapercentage_b_01_chart[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatapercentage_b_01_chart[".listAjax"] = false;
//	temporary
$tdatapercentage_b_01_chart[".listAjax"] = false;

	$tdatapercentage_b_01_chart[".audit"] = false;

	$tdatapercentage_b_01_chart[".locking"] = false;


$pages = $tdatapercentage_b_01_chart[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapercentage_b_01_chart[".edit"] = true;
	$tdatapercentage_b_01_chart[".afterEditAction"] = 1;
	$tdatapercentage_b_01_chart[".closePopupAfterEdit"] = 1;
	$tdatapercentage_b_01_chart[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapercentage_b_01_chart[".add"] = true;
$tdatapercentage_b_01_chart[".afterAddAction"] = 1;
$tdatapercentage_b_01_chart[".closePopupAfterAdd"] = 1;
$tdatapercentage_b_01_chart[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapercentage_b_01_chart[".list"] = true;
}



$tdatapercentage_b_01_chart[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapercentage_b_01_chart[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapercentage_b_01_chart[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapercentage_b_01_chart[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapercentage_b_01_chart[".printFriendly"] = true;
}



$tdatapercentage_b_01_chart[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapercentage_b_01_chart[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapercentage_b_01_chart[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapercentage_b_01_chart[".isUseAjaxSuggest"] = true;






$tdatapercentage_b_01_chart[".ajaxCodeSnippetAdded"] = false;

$tdatapercentage_b_01_chart[".buttonsAdded"] = false;

$tdatapercentage_b_01_chart[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapercentage_b_01_chart[".isUseTimeForSearch"] = false;


$tdatapercentage_b_01_chart[".badgeColor"] = "4169E1";


$tdatapercentage_b_01_chart[".allSearchFields"] = array();
$tdatapercentage_b_01_chart[".filterFields"] = array();
$tdatapercentage_b_01_chart[".requiredSearchFields"] = array();

$tdatapercentage_b_01_chart[".googleLikeFields"] = array();
$tdatapercentage_b_01_chart[".googleLikeFields"][] = "Region";
$tdatapercentage_b_01_chart[".googleLikeFields"][] = "numRegion";
$tdatapercentage_b_01_chart[".googleLikeFields"][] = "totalPers";
$tdatapercentage_b_01_chart[".googleLikeFields"][] = "voteWith";
$tdatapercentage_b_01_chart[".googleLikeFields"][] = "Percentage";



$tdatapercentage_b_01_chart[".tableType"] = "chart";

$tdatapercentage_b_01_chart[".printerPageOrientation"] = 0;
$tdatapercentage_b_01_chart[".nPrinterPageScale"] = 100;

$tdatapercentage_b_01_chart[".nPrinterSplitRecords"] = 40;

$tdatapercentage_b_01_chart[".geocodingEnabled"] = false;



// chart settings
$tdatapercentage_b_01_chart[".chartType"] = "2DPie";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatapercentage_b_01_chart[".strOrderBy"] = $tstrOrderBy;

$tdatapercentage_b_01_chart[".orderindexes"] = array();


$tdatapercentage_b_01_chart[".sqlHead"] = "SELECT Region,  	numRegion,  	totalPers,  	voteWith,  	Percentage";
$tdatapercentage_b_01_chart[".sqlFrom"] = "FROM percentage_b_01";
$tdatapercentage_b_01_chart[".sqlWhereExpr"] = "";
$tdatapercentage_b_01_chart[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapercentage_b_01_chart[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapercentage_b_01_chart[".arrGroupsPerPage"] = $arrGPP;

$tdatapercentage_b_01_chart[".highlightSearchResults"] = true;

$tableKeyspercentage_b_01_chart = array();
$tdatapercentage_b_01_chart[".Keys"] = $tableKeyspercentage_b_01_chart;


$tdatapercentage_b_01_chart[".hideMobileList"] = array();




//	Region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Region";
	$fdata["GoodName"] = "Region";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01_Chart","Region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01_chart["Region"] = $fdata;
		$tdatapercentage_b_01_chart[".searchableFields"][] = "Region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01_Chart","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01_chart["numRegion"] = $fdata;
		$tdatapercentage_b_01_chart[".searchableFields"][] = "numRegion";
//	totalPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "totalPers";
	$fdata["GoodName"] = "totalPers";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01_Chart","totalPers");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "totalPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "totalPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01_chart["totalPers"] = $fdata;
		$tdatapercentage_b_01_chart[".searchableFields"][] = "totalPers";
//	voteWith
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "voteWith";
	$fdata["GoodName"] = "voteWith";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01_Chart","voteWith");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "voteWith";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "voteWith";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01_chart["voteWith"] = $fdata;
		$tdatapercentage_b_01_chart[".searchableFields"][] = "voteWith";
//	Percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Percentage";
	$fdata["GoodName"] = "Percentage";
	$fdata["ownerTable"] = "percentage_b_01";
	$fdata["Label"] = GetFieldLabel("percentage_b_01_Chart","Percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapercentage_b_01_chart["Percentage"] = $fdata;
		$tdatapercentage_b_01_chart[".searchableFields"][] = "Percentage";

$tdatapercentage_b_01_chart[".chartLabelField"] = "voteWith";
$tdatapercentage_b_01_chart[".chartSeries"] = array();
$tdatapercentage_b_01_chart[".chartSeries"][] = array( 
	"field" => "Percentage",
	"total" => ""
);
	$tdatapercentage_b_01_chart[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">percentage_b_01 Chart</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_pie</attr>
		</attr>

		<attr value="parameters">';
	$tdatapercentage_b_01_chart[".chartXml"] .= '<attr value="0">
			<attr value="name">Percentage</attr>';
	$tdatapercentage_b_01_chart[".chartXml"] .= '</attr>';
	$tdatapercentage_b_01_chart[".chartXml"] .= '<attr value="1">
		<attr value="name">voteWith</attr>
	</attr>';
	$tdatapercentage_b_01_chart[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdatapercentage_b_01_chart[".chartXml"] .= '<attr value="head">'.xmlencode("percentage_b_01 Chart").'</attr>
<attr value="foot">'.xmlencode("Legend Title").'</attr>
<attr value="y_axis_label">'.xmlencode("numRegion").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">false</attr>
<attr value="sstacked">false</attr>
<attr value="slog">true</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">1</attr>
<attr value="autoupmin">180</attr>';
$tdatapercentage_b_01_chart[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdatapercentage_b_01_chart[".chartXml"] .= '<attr value="0">
		<attr value="name">Region</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("percentage_b_01_Chart","Region")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatapercentage_b_01_chart[".chartXml"] .= '<attr value="1">
		<attr value="name">numRegion</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("percentage_b_01_Chart","numRegion")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatapercentage_b_01_chart[".chartXml"] .= '<attr value="2">
		<attr value="name">totalPers</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("percentage_b_01_Chart","totalPers")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatapercentage_b_01_chart[".chartXml"] .= '<attr value="3">
		<attr value="name">voteWith</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("percentage_b_01_Chart","voteWith")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatapercentage_b_01_chart[".chartXml"] .= '<attr value="4">
		<attr value="name">Percentage</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("percentage_b_01_Chart","Percentage")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdatapercentage_b_01_chart[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">percentage_b_01 Chart</attr>
<attr value="short_table_name">percentage_b_01_chart</attr>
</attr>

</chart>';

$tables_data["percentage_b_01 Chart"]=&$tdatapercentage_b_01_chart;
$field_labels["percentage_b_01_Chart"] = &$fieldLabelspercentage_b_01_chart;
$fieldToolTips["percentage_b_01_Chart"] = &$fieldToolTipspercentage_b_01_chart;
$placeHolders["percentage_b_01_Chart"] = &$placeHolderspercentage_b_01_chart;
$page_titles["percentage_b_01_Chart"] = &$pageTitlespercentage_b_01_chart;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["percentage_b_01 Chart"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["percentage_b_01 Chart"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_percentage_b_01_chart()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Region,  	numRegion,  	totalPers,  	voteWith,  	Percentage";
$proto0["m_strFrom"] = "FROM percentage_b_01";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01 Chart"
));

$proto6["m_sql"] = "Region";
$proto6["m_srcTableName"] = "percentage_b_01 Chart";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01 Chart"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "percentage_b_01 Chart";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "totalPers",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01 Chart"
));

$proto10["m_sql"] = "totalPers";
$proto10["m_srcTableName"] = "percentage_b_01 Chart";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "voteWith",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01 Chart"
));

$proto12["m_sql"] = "voteWith";
$proto12["m_srcTableName"] = "percentage_b_01 Chart";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Percentage",
	"m_strTable" => "percentage_b_01",
	"m_srcTableName" => "percentage_b_01 Chart"
));

$proto14["m_sql"] = "Percentage";
$proto14["m_srcTableName"] = "percentage_b_01 Chart";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "percentage_b_01";
$proto17["m_srcTableName"] = "percentage_b_01 Chart";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "Region";
$proto17["m_columns"][] = "numRegion";
$proto17["m_columns"][] = "totalPers";
$proto17["m_columns"][] = "voteWith";
$proto17["m_columns"][] = "Percentage";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "percentage_b_01";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "percentage_b_01 Chart";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="percentage_b_01 Chart";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_percentage_b_01_chart = createSqlQuery_percentage_b_01_chart();


	
		;

					

$tdatapercentage_b_01_chart[".sqlquery"] = $queryData_percentage_b_01_chart;



$tableEvents["percentage_b_01 Chart"] = new eventsBase;
$tdatapercentage_b_01_chart[".hasEvents"] = false;

?>